﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightApplication13
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            List<Prekess> pr1 = new List<Prekess>();
            pr1.Add(new Prekess { name = "Preke 1", kaina = 10000 });
            pr1.Add(new Prekess { name = "Preke 2", kaina = 1000 });
            pr1.Add(new Prekess { name = "Preke 3", kaina = 20000 });
            pr1.Add(new Prekess { name = "Preke 4", kaina = 7000 });
            pr1.Add(new Prekess { name = "Preke 5", kaina = 15000 });

            List<Prekess> pr2 = new List<Prekess>();
            pr2.Add(new Prekess { name = "Preke 6", kaina = 10000 });
            pr2.Add(new Prekess { name = "Preke 7", kaina = 1000 });
            pr2.Add(new Prekess { name = "Preke 8", kaina = 20000 });
            pr2.Add(new Prekess { name = "Preke 9", kaina = 7000 });
            pr2.Add(new Prekess { name = "Preke 10", kaina = 15000 });

            List<Pelnass> p = new List<Pelnass>();
            p.Add(new Pelnass { id = "Vienas", Prekess = pr1 });
            p.Add(new Pelnass { id = "Du", Prekess = pr2 });

            XamTreeMap_1.DataContext = p;

            XamTreeMap_1.NodeBinders.Add(




            new Infragistics.Controls.Charts.NodeBinder
            {
                TargetTypeName = "Pelnass",
                TextPath = "id",
                ItemsSourcePath = "Prekess"
            });



            XamTreeMap_1.NodeBinders.Add(




            new Infragistics.Controls.Charts.NodeBinder
            {
                TargetTypeName = "Prekess",
                TextPath = "kaina",
                ValuePath = "kaina",
                ItemsSourcePath = "name"
            });


        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            Border b = GetChildFromType<Border>(XamTreeMap_1.RootNode.Children[0].Children[2]);
            ToolTip tt = ToolTipService.GetToolTip(b) as ToolTip;
            tt.IsOpen = true;
        }

        private T GetChildFromType<T>(DependencyObject parent) where T : DependencyObject
        {
            T result = null;

            for (int i = 0; i < VisualTreeHelper.GetChildrenCount(parent); i++)
            {
                if (VisualTreeHelper.GetChild(parent, i) is T)
                {
                    return VisualTreeHelper.GetChild(parent, i) as T;
                }
                else
                {
                    result = GetChildFromType<T>(VisualTreeHelper.GetChild(parent, i));

                    if (result != null)
                    {
                        break;
                    }
                }
            }
            return result;
        }

    }
}
